# React Native Starter 🚀

*You're viewing the new and updated version of React Native Starter, previous version can be found under the [v1 branch](https://github.com/flatlogic/react-native-starter/tree/v1)*

A powerful react native starter template that bootstraps development of your mobile application. React Native Starter is a mobile application template with lots of built-in components like sidebar, navigation, form elements, etc - all you need to start building your mobile app faster. Check out live demo on [App Store](https://play.google.com/store/apps/details?id=com.reactnativestarter.lite), [Google Play](https://play.google.com/store/apps/details?id=com.reactnativestarter.app).

![React Native Starter](https://i.imgur.com/vcz4bU6.png)

<a href='https://play.google.com/store/apps/details?id=com.reactnativestarter.upd'><img width="200" alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png'/></a>
<a href='https://play.google.com/store/apps/details?id=com.reactnativestarter.upd'><img width="200" alt='Download on App Store' src='https://i.imgur.com/7IxtMV0.png'/></a>

## What's inside

- Always up-to-date React Native scaffolding
- UI/UX Design from industry experts
- Modular and well-documented structure for application code
- Redux for state management
- React Navigation for simple navigation
- Disk-persisted application state caching
- More than 16 Ready-to-use Pages

## Getting Started

#### 1. Clone and Install

```bash
# Clone the repo
git clone https://github.com/flatlogic/react-native-starter.git

# Navigate to clonned folder and Install dependencies
cd react-native-starter && yarn install

# Install Pods
cd ios && pod install
```

#### 2. Open RNS in your iOS simulator

Run this command to start the development server and to start your app on iOS simulator:
```
yarn run:ios
```

Or, if you prefer Android:
```
yarn run:android
```

That's it! Cool, right?

## Documentation

Our handy documentation can be found on official RNS website: https://docs.reactnativestarter.com 

## Contributing

If you find any problems, please [open an issue](https://github.com/flatlogic/react-native-starter/issues/new) or submit a fix as a pull request.

## Want more?

We have a premium version of this mobile application template that saves you even more time and money and comes with advanced features:
- Premium RED color scheme
- More than 5 additional screens (such as chat, profile, product item, etc.)
- Contains an extended charting library to visualize all the data you need
- Premium support and updates included
- Much, much more..

Read more and purchase it at https://reactnativestarter.com

## How can I support developers?
- Star our GitHub repo :star:
- [Tweet about it](https://twitter.com/intent/tweet?text=Amazing%20Mobile%20Application%20Template%20built%20with%20React%20Native!&url=https://github.com/flatlogic/react-native-starter&via=flatlogic).
- Create pull requests, submit bugs, suggest new features or documentation updates :wrench:
- Follow [@flatlogic on Twitter](https://twitter.com/flatlogic).
- Subscribe to React Native Starter newsletter at [reactnativestarter.com](https://reactnativestarter.com/)
- Like our page on [Facebook](https://www.facebook.com/flatlogic/) :thumbsup:

## More from Flatlogic
- [✔️Awesome Bootstrap Checkboxes & Radios](https://github.com/flatlogic/awesome-bootstrap-checkbox) - Pure css way to make inputs look prettier
- [💥Sing App Dashboard](https://github.com/flatlogic/sing-app) - Free and open-source admin dashboard template built with Bootstrap 4 

## License

[Mozilla Public License 2.0](LICENSE)
